import { M as t, _ as e, v as r, cv as s, a6 as a, g as o } from "./index-0c01125c.js";
import "./lodash-226cb5b1.js";
import { lA as i } from "./ant-design-icons-14ab96af.js";
import "./loglevel-5e7e37fc.js";
import "./axios-125479b5.js";
import "./redux-devtools-f8b1cd80.js";
import "./alasql-f59e855e.js";
import "./react-router-8d1fc2f1.js";
import "./antd-97b654da.js";
import "react";
import "react-dom";
import "./dayjs-7fc5ce65.js";
import "./fontawesome-89eb6278.js";
import "./dnd-kit-e67c9595.js";
import "./moment-d8baa15a.js";
import "./crypto-js-8020edb5.js";
import "./styled-components-c6abe9a3.js";
import "./numbro-48e81844.js";
import "./papaparse-088c0adc.js";
import "./uuid-82f303b2.js";
import "./supabase-2e4a9112.js";
import "./fetch-6a200310.js";
import "./react-draggable-fda4f1cb.js";
import "./remark-gfm-e9b5dec7.js";
import "./buffer-e20f80c8.js";
import "./rehype-raw-41b6145f.js";
import "./parse5-6476676e.js";
import "./rehype-sanitize-deb53e9a.js";
import "./simplebar-react-cab52c82.js";
import "./react-best-gradient-color-picker-812be7ee.js";
import "./ua-parser-js-1d18a3f8.js";
import "./clsx-469c2c43.js";
import "./codemirror-edf161cb.js";
import "./really-relaxed-json-e5391d6a.js";
import "./immer-c0428a8d.js";
import "./redux-saga-1b0a458d.js";
import "./hotkeys-js-0dddb21a.js";
import "./cnchar-8c3eaa86.js";
import "./react-documents-ae08f8b5.js";
import "./sql-formatter-69e8df59.js";
import "./rc-trigger-9e54e169.js";
import "./react-json-view-364658b4.js";
import "./qrcode-react-e4f7745b.js";
import "./katex-cda5b990.js";
import "./ecogis-maps-10bb29cf.js";
import "./devextreme-28d23085.js";
import "./exceljs-1678d36b.js";
import "./file-saver-es-c18fae8f.js";
const p = (t2) => i("div", {}), m = function() {
  const e2 = { v1: r(0), v2: s, vStr: a };
  return new t(e2, (t2) => ({ v1: t2.v1, v2: t2.v2, v3: t2.v1 + t2.v2, vStr: t2.vStr })).setPropertyViewFn(p).build();
}(), l = { value: { v1: 11, v2: "{{testParam + 10}}" } };
test("without context", () => {
  let t2 = new m(l);
  t2 = e(t2);
  let r2 = t2.getView();
  expect(r2.v1).toEqual(11), expect(r2.v2).toEqual(0), expect(r2.v3).toEqual(11);
}), test("test with context", () => {
  let t2 = new (o(m))(l);
  t2 = e(t2);
  let r2 = t2.getView()({ testParam: 100 });
  expect(r2.v1).toEqual(11), expect(r2.v2).toEqual(110), expect(r2.v3).toEqual(121), r2 = t2.getView()({ testParam: -100 }), expect(r2.v1).toEqual(11), expect(r2.v2).toEqual(-90), expect(r2.v3).toEqual(-79);
}), test("test with multi context", () => {
  let t2 = new (o(m))({ value: { v1: 11, v2: "{{param1+param2*2}}" } });
  t2 = e(t2);
  let r2 = t2.getView()({ param1: 100, param2: 102 });
  expect(r2.v1).toEqual(11), expect(r2.v2).toEqual(304);
}), test("test with context bad input", () => {
  let t2 = new (o(m))({ value: { v1: 11, v2: "{{tstParam}}" } });
  t2 = e(t2);
  let r2 = t2.getView()({ testParam: 100 });
  expect(r2.v1).toEqual(11);
}), test("with context Date value", () => {
  let t2 = new (o(m))({ value: { v1: 11, v2: "{{testParam}}", vStr: "{{testParam}}" } });
  t2 = e(t2);
  let r2 = t2.getView()({ testParam: /* @__PURE__ */ new Date(1664887576e3) });
  expect(r2.v1).toEqual(11), expect(r2.v2).toEqual(1664887576e3), expect(r2.vStr).toEqual("2022-10-04T12:46:16.000Z");
}), test("with context Date method", () => {
  let t2 = new (o(m))({ value: { v1: 11, v2: "{{testParam.getTime()}}", vStr: "{{testParam.getTime()}}" } });
  t2 = e(t2);
  let r2 = t2.getView()({ testParam: /* @__PURE__ */ new Date(1664887576e3) });
  expect(r2.v1).toEqual(11), expect(r2.v2).toEqual(1664887576e3), expect(r2.vStr).toEqual("1664887576000");
});
export {
  m as TestComp
};
